/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.taxiservicios.model.admin;

import java.io.Serializable;

/**
 *
 * @author Picasso
 */
public class ContractHasService implements Serializable {

    private static final long serialVersionUID = -2447905019128698704L;

    private ContractHasServiceId id;
    private Contract contract;
    private Service service;

    public ContractHasService() {
    }

    /**
     *
     * @param id
     */
    public ContractHasService(ContractHasServiceId id) {
        this.id = id;
    }

    /**
     *
     * @param id
     * @param contract
     * @param service
     */
    public ContractHasService(ContractHasServiceId id, Contract contract, Service service) {
        this.id = id;
        this.contract = contract;
        this.service = service;
    }

    public ContractHasServiceId getId() {
        return id;
    }

    public void setId(ContractHasServiceId id) {
        this.id = id;
    }

    public Contract getContract() {
        return contract;
    }

    public void setContract(Contract contract) {
        this.contract = contract;
    }

    public Service getService() {
        return service;
    }

    public void setService(Service service) {
        this.service = service;
    }

    @Override
    public String toString() {
        return "ContractHasService{" + "id=" + id + ", contract=" + contract + ", service=" + service + '}';
    }

}
